#include <stdio.h>
#include <stdlib.h>
typedef struct vageS
{
    long long int d,v;
}
vageS;
typedef struct pitanjaS
{
    long long int l,r,x;
}
pitanjaS;

int main() {
    long long int n,m;
    scanf("%lld %lld",&n,&m);
    vageS vaga[n];
    pitanjaS pitanje[m];
    long long int odgovori[m];
    long long int i,j;
    for(i=0;i<n;i++)
    {
        scanf("%lld %lld",&vaga[i].d,&vaga[i].v);
    }
    for(i=0;i<m;i++)
    {
        scanf("%lld %lld %lld",&pitanje[i].l,&pitanje[i].r,&pitanje[i].x);
        odgovori[i]=0;
    }
    for(i=0;i<m;i++)
    {
        for(j=pitanje[i].l;j<pitanje[i].r;j++)    
        {
            if(vaga[j].d <=pitanje[j].x && vaga[j].v >=pitanje[j].x )
            {
                odgovori[i]++;
            }
        }
    }
    for(i=0;i<m;i++)
    {
        printf("\n%lld",odgovori[i]);
    }
   return 0;
}